Create Attack Discovery schedule
- Base URL
-
https://{kibana_url}
- POST /api/attack_discovery/schedules
Creates a new Attack Discovery schedule that analyzes security alerts at specified intervals. The schedule defines when and how Attack Discovery analysis should run, including which alerts to analyze, which AI connector to use, and what actions to take when discoveries are found.
Request body
Attack Discovery schedule configuration including name, parameters, schedule interval, and actions
-
actionsunion oneOf[] -
The Attack Discovery schedule actions
- One of:
-
frequencyobject -
The action frequency defines when the action runs (for example, only on schedule execution or at specific time intervals).
Responses
The Attack Discovery schedule was successfully created.